################################################################
# Summon the summon marker that holds the given parameters for 
# the actual custom entity.
#
#
# @as = marker[SM]
# @at = caller
# @args = {
#   type: string
#   variant: string
#   loot_table: string[loot_table]
#   hb_height: float
#   hb_width: float
# }
################################################################


# Set marker's tags
tag @s add UF_ENTITY
tag @s add UF_ENTITY.SM

# Set marker's scores
scoreboard players set @s UF_ENTITY.summonDelay 0

# Set marker's data
data modify entity @s data.summon set value "uf_api:.c_entity/.lootable/.summon/default"
$data modify entity @s data.type set value $(type)
$data modify entity @s data.variant set value $(variant)
data modify entity @s data.loot_table set from storage uf_entity:lootable summon.input.loot_table
$data modify entity @s data.hb_height set value $(hb_height)
$data modify entity @s data.hb_width set value $(hb_width)

# Adjust marker's rotation
tp @s ~ ~ ~ ~ ~