################################################################
# Establish the data and function context.
#
#
# @as = entity
# @args = {
#   TTL: int
#   loot_table: string[loot_table]
#   variant: string
#   hb_height: float
#   hb_width: float
#   hb_xOff: float
#   hb_yOff: float
#   hb_zOff: float
# }
################################################################


#------------------------ DATA CONTEXT ------------------------#
$data modify storage uf_entity:hermit_crab summon.input.TTL set value $(TTL)
$data modify storage uf_entity:hermit_crab summon.input.loot_table set value "$(loot_table)"
$data modify storage uf_entity:hermit_crab summon.input.hb_height set value $(hb_height)
$data modify storage uf_entity:hermit_crab summon.input.hb_width set value $(hb_width)
$data modify storage uf_entity:hermit_crab summon.input.hb_xOff set value $(hb_xOff)
$data modify storage uf_entity:hermit_crab summon.input.hb_yOff set value $(hb_yOff)
$data modify storage uf_entity:hermit_crab summon.input.hb_zOff set value $(hb_zOff)
#--------------------------------------------------------------#


#---------------------- FUNCTION CONTEXT ----------------------#
execute \
  summon minecraft:marker \
  run function uf_entity:.c_entity/.hermit_crab/.summon/advanced \
    with storage uf_entity:hermit_crab summon.input
#--------------------------------------------------------------#