################################################################
# Establish the data and function context.
#
#
# @as = entity
# @args = {
#   summonDelay: int
#   TTL: int
#   loot_table: string[loot_table]
# }
################################################################


#------------------------ DATA CONTEXT ------------------------#
$data modify storage uf_entity:hermit_crab summon.input.summonDelay set value $(summonDelay)
$data modify storage uf_entity:hermit_crab summon.input.TTL set value $(TTL)
$data modify storage uf_entity:hermit_crab summon.input.loot_table set value "$(loot_table)"
#--------------------------------------------------------------#


#---------------------- FUNCTION CONTEXT ----------------------#
execute \
  summon minecraft:marker \
  run function uf_entity:.c_entity/.hermit_crab/.summon/default_sm \
    with storage uf_entity:hermit_crab summon.input
#--------------------------------------------------------------#