################################################################
# Summon a hermit carb consisting of an animated_java rig
# and a data marker riding said rig's root.
#
#
# @as = marker[DM]
# @at = caller
# @args = {
#   TTL: int
#   loot_table: string[loot_table]
# }
################################################################


# Summon the animated_java rig
function animated_java:hermit_crab/summon/default
execute as @n[type=minecraft:item_display, tag=aj.hermit_crab.root, predicate=!uf_api:.entity/.has/data_marker] run function animated_java:hermit_crab/animations/idle/play
ride @s mount @n[type=minecraft:item_display, tag=aj.hermit_crab.root, predicate=!uf_api:.entity/.has/data_marker]

# Summon the hitbox
function uf_api:.c_entity/.hitbox/.summon/only_interact {width:0.5, height:0.5, on_interact:"uf_entity:.c_entity/.hermit_crab/on_interact"}

# Set marker's tags
tag @s add UF_ENTITY
tag @s add UF_ENTITY.on_tick
tag @s add UF_ENTITY.on_interact
tag @s add UF_ENTITY.DM
tag @s add UF_ENTITY.DM-default
tag @s add UF_ENTITY.DM-hermit_crab

# Set marker's scores
$scoreboard players set @s UF_ENTITY.TTL $(TTL)
execute store result score @s UF_ENTITY.hermit_crab.tradeCount run random value 1..3

# Set marker's data
data modify entity @s data.on_tick set value "uf_entity:.c_entity/.hermit_crab/on_tick"
$data modify entity @s data.loot_table set value "$(loot_table)"
data modify entity @s data.hitboxDM_UUID set from storage uf_entity:hitbox summon.output.DM_UUID