################################################################
# Trade with the calling player.
#
#
# @as = marker[DM]
# @at = marker[DM]
# @args = {
#   initiator: string[UUID]
#   loot_table: string[loot_table]
# }
################################################################


# Fail if the player has no nautilus shell
$execute as $(initiator) unless predicate uf_api:.entity/.equipment/.mainhand/nautilus_shell run return fail

# Take one shell and spawn stored loot table in return
$execute as $(initiator) run clear @s minecraft:nautilus_shell 1
$loot spawn ~ ~ ~ loot $(loot_table)

# Remove the hermit crab if the number of maximum trades is over
scoreboard players remove @s UF_ENTITY.hermit_crab.tradeCount 1
execute if score @s UF_ENTITY.hermit_crab.tradeCount matches 0 run function uf_api:.c_entity/.hermit_crab/.kill/this